summaryrefslogtreecommitdiffstats
path: root/conf/scripts/default.in
diff options
context:
space:
mode:
Diffstat (limited to 'conf/scripts/default.in')
-rwxr-xr-xconf/scripts/default.in62
1 files changed, 62 insertions, 0 deletions
diff --git a/conf/scripts/default.in b/conf/scripts/default.in
new file mode 100755
index 0000000..02bdca4
--- /dev/null
+++ b/conf/scripts/default.in
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+# $Id$
+
+# This file is part of waproamd.
+#
+# waproamd is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# waproamd is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with waproamd; if not, write to the Free Software Foundation,
+# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+
+KEYDIR="@sysconfdir@/waproamd/keys"
+
+if [ -z "$AP" -o -z "$IFACE" ] ; then
+ echo "Corrupt environment" > /dev/stderr
+ exit 1
+fi
+
+if test -r "$KEYDIR/$AP.aes" ; then
+ METHOD=aes
+else if test -r "$KEYDIR/$AP.wep" ; then
+ METHOD=wep
+else
+ METHOD=open
+fi ; fi
+
+echo "Settings policy '$METHOD' for AP $AP"
+
+case "$1.$METHOD" in
+ start.aes)
+ iwconfig $IFACE key on
+ aeswepd -i $IFACE -w -F "$KEYDIR/$AP.aes"
+ ;;
+
+ stop.aes)
+ aeswepd -i $IFACE -k
+ iwconfig $IFACE key off
+ ;;
+
+ start.wep)
+ iwconfig $IFACE key "`cat $KEYDIR/$AP.wep`" [1] key restricted key [1] key on
+ ;;
+
+ *.open|stop.wep)
+ iwconfig $IFACE key off
+ ;;
+ *)
+ echo "Unknown command\n" > /dev/stderr
+ exit 1
+ ;;
+esac
+
+exit 0